### Function

# GObject type_fundamental_next

since: 2.0

#### Declaration

    GType
    g_type_fundamental_next (
      void
    )

#### Description

Returns the next free fundamental type id which can be used to register a new fundamental type with g_type_register_fundamental(). The returned type ID represents the highest currently registered fundamental type identifier.

Available since: 2.0

#### Return value

Type: `GType`

The next available fundamental type ID to be registered, or 0 if the type system ran out of fundamental type IDs.